summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <jimw@mysql.com>2005-03-11 12:38:38 -0800
committerunknown <jimw@mysql.com>2005-03-11 12:38:38 -0800
commitb1e512128ba2d58252593f042b60e0477a7614e8 (patch)
tree10adde9e8ee7cca4e7eae23df5f17b607ddddcf4 /scripts
parent5aed41290a912118cd7488c5d9f9ce50c11a1aa0 (diff)
parent81647853a13a016a5cfffdfe9d171733f52fa16d (diff)
downloadmariadb-git-b1e512128ba2d58252593f042b60e0477a7614e8.tar.gz
Merge query_cache tests
Build-tools/Do-compile: Auto merged mysql-test/mysql-test-run.sh: Auto merged mysql-test/r/join_outer.result: Auto merged mysql-test/t/join_outer.test: Auto merged scripts/make_win_src_distribution.sh: Auto merged scripts/mysqld_safe.sh: Auto merged sql/item_cmpfunc.h: Auto merged sql/sql_table.cc: Auto merged mysql-test/r/query_cache.result: Update results mysql-test/t/query_cache.test: Merge test
Diffstat (limited to 'scripts')
-rw-r--r--scripts/make_win_src_distribution.sh34
-rw-r--r--scripts/mysqld_safe.sh9
2 files changed, 34 insertions, 9 deletions
diff --git a/scripts/make_win_src_distribution.sh b/scripts/make_win_src_distribution.sh
index 101007554a3..efcbeffeb11 100644
--- a/scripts/make_win_src_distribution.sh
+++ b/scripts/make_win_src_distribution.sh
@@ -16,12 +16,25 @@ OUTTAR="0"
OUTZIP="0"
#
+# An "abort" function taking a variable number of strings (one per line)
+#
+
+abort()
+{
+ for line
+ do
+ echo "$line"
+ done
+ exit 1
+}
+
+
+#
# This script must run from MySQL top directory
#
if [ ! -f scripts/make_win_src_distribution ]; then
- echo "ERROR : You must run this script from the MySQL top-level directory"
- exit 1
+ abort "ERROR : You must run this script from the MySQL top-level directory"
fi
SOURCE=`pwd`
@@ -30,9 +43,8 @@ SOURCE=`pwd`
#
if [ ! -f sql/sql_yacc.cc ]; then
- echo "ERROR : Sorry, you must run this script after the complete build,"
- echo " hope you know what you are trying to do !!"
- exit 1
+ abort "ERROR : Sorry, you must run this script after the complete build," \
+ " hope you know what you are trying to do !!"
fi
#
@@ -86,9 +98,7 @@ parse_arguments() {
--tar) OUTTAR=1 ;;
--zip) OUTZIP=1 ;;
--help) show_usage ;;
- *)
- echo "Unknown argument '$arg'"
- exit 1
+ *) abort "Unknown argument '$arg'"
;;
esac
done
@@ -138,6 +148,7 @@ if [ -d $BASE ] ; then
fi
$CP -r $SOURCE/VC++Files $BASE
+# This includes an implicit 'mkdir $BASE' !
#
# Process version tags in InstallShield files
@@ -312,7 +323,12 @@ do
print_debug "Copying directory '$i'"
if [ -d $i ]
then
- $CP -R $i $BASE/$i
+ if [ -d $BASE/$i ]
+ then
+ $CP -R $i $BASE
+ else
+ $CP -R $i $BASE/$i
+ fi
fi
done
diff --git a/scripts/mysqld_safe.sh b/scripts/mysqld_safe.sh
index e38127ffd8e..10983d2850f 100644
--- a/scripts/mysqld_safe.sh
+++ b/scripts/mysqld_safe.sh
@@ -194,6 +194,15 @@ parse_arguments `$print_defaults $defaults --loose-verbose mysqld_safe safe_mysq
parse_arguments PICK-ARGS-FROM-ARGV "$@"
safe_mysql_unix_port=${mysql_unix_port:-${MYSQL_UNIX_PORT:-@MYSQL_UNIX_ADDR@}}
+# Make sure that directory for $safe_mysql_unix_port exists
+mysql_unix_port_dir=`dirname $safe_mysql_unix_port`
+if [ ! -d $mysql_unix_port_dir ]
+then
+ mkdir $mysql_unix_port_dir
+ chown $user $mysql_unix_port_dir
+fi
+
+
if test ! -x $ledir/$MYSQLD
then
echo "The file $ledir/$MYSQLD doesn't exist or is not executable"